Patchwork libproxy: add dependency on glib-2.0

login
register
mail settings
Submitter Alexandru DAMIAN
Date April 3, 2013, 3:20 p.m.
Message ID <1365002436-5355-1-git-send-email-alexandru.damian@intel.com>
Download mbox | patch
Permalink /patch/47343/
State New
Headers show

Comments

Alexandru DAMIAN - April 3, 2013, 3:20 p.m.
From: Alexandru DAMIAN <alexandru.damian@intel.com>

libproxy uses glib-2.0, but the depends is missing

Fixes intermittent build errors.

Signed-off-by: Alexandru DAMIAN <alexandru.damian@intel.com>
---
 meta/classes/core-image.bbclass                 |    4 ++--
 meta/recipes-support/libproxy/libproxy_0.4.7.bb |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)
Saul Wold - April 3, 2013, 3:33 p.m.
On 04/03/2013 08:20 AM, Alex DAMIAN wrote:
> From: Alexandru DAMIAN <alexandru.damian@intel.com>
>
> libproxy uses glib-2.0, but the depends is missing
>
> Fixes intermittent build errors.
>
> Signed-off-by: Alexandru DAMIAN <alexandru.damian@intel.com>
> ---
>   meta/classes/core-image.bbclass                 |    4 ++--
>   meta/recipes-support/libproxy/libproxy_0.4.7.bb |    2 +-
>   2 files changed, 3 insertions(+), 3 deletions(-)
>
> diff --git a/meta/classes/core-image.bbclass b/meta/classes/core-image.bbclass
> index 86df91d..2bd5c12 100644
> --- a/meta/classes/core-image.bbclass
> +++ b/meta/classes/core-image.bbclass
> @@ -41,8 +41,8 @@ PACKAGE_GROUP_tools-profile = "packagegroup-core-tools-profile"
>   PACKAGE_GROUP_tools-testapps = "packagegroup-core-tools-testapps"
>   PACKAGE_GROUP_tools-sdk = "packagegroup-core-sdk packagegroup-core-standalone-sdk-target"
>   PACKAGE_GROUP_nfs-server = "packagegroup-core-nfs-server"
> -PACKAGE_GROUP_ssh-server-dropbear = "packagegroup-core-ssh-dropbear"
> -PACKAGE_GROUP_ssh-server-openssh = "packagegroup-core-ssh-openssh"
> +#PACKAGE_GROUP_ssh-server-dropbear = "packagegroup-core-ssh-dropbear"
> +#PACKAGE_GROUP_ssh-server-openssh = "packagegroup-core-ssh-openssh"
>   PACKAGE_GROUP_package-management = "${ROOTFS_PKGMANAGE}"
>   PACKAGE_GROUP_qt4-pkgs = "packagegroup-core-qt-demoapps"
>   PACKAGE_GROUP_hwcodecs = "${MACHINE_HWCODECS}"

You seem to have pulled in some other stuff also, please send a clean v2.

Thanks
    Sau!


> diff --git a/meta/recipes-support/libproxy/libproxy_0.4.7.bb b/meta/recipes-support/libproxy/libproxy_0.4.7.bb
> index 510c6b7..89f22b8 100644
> --- a/meta/recipes-support/libproxy/libproxy_0.4.7.bb
> +++ b/meta/recipes-support/libproxy/libproxy_0.4.7.bb
> @@ -6,7 +6,7 @@ LICENSE = "LGPLv2.1+"
>   LIC_FILES_CHKSUM = "file://COPYING;md5=7d7044444a7b1b116e8783edcdb44ff4 \
>                       file://utils/proxy.c;beginline=1;endline=18;md5=55152a1006d7dafbef32baf9c30a99c0"
>
> -DEPENDS = "gconf"
> +DEPENDS = "gconf glib-2.0"
>
>   PR = "r5"
>
>

Patch

diff --git a/meta/classes/core-image.bbclass b/meta/classes/core-image.bbclass
index 86df91d..2bd5c12 100644
--- a/meta/classes/core-image.bbclass
+++ b/meta/classes/core-image.bbclass
@@ -41,8 +41,8 @@  PACKAGE_GROUP_tools-profile = "packagegroup-core-tools-profile"
 PACKAGE_GROUP_tools-testapps = "packagegroup-core-tools-testapps"
 PACKAGE_GROUP_tools-sdk = "packagegroup-core-sdk packagegroup-core-standalone-sdk-target"
 PACKAGE_GROUP_nfs-server = "packagegroup-core-nfs-server"
-PACKAGE_GROUP_ssh-server-dropbear = "packagegroup-core-ssh-dropbear"
-PACKAGE_GROUP_ssh-server-openssh = "packagegroup-core-ssh-openssh"
+#PACKAGE_GROUP_ssh-server-dropbear = "packagegroup-core-ssh-dropbear"
+#PACKAGE_GROUP_ssh-server-openssh = "packagegroup-core-ssh-openssh"
 PACKAGE_GROUP_package-management = "${ROOTFS_PKGMANAGE}"
 PACKAGE_GROUP_qt4-pkgs = "packagegroup-core-qt-demoapps"
 PACKAGE_GROUP_hwcodecs = "${MACHINE_HWCODECS}"
diff --git a/meta/recipes-support/libproxy/libproxy_0.4.7.bb b/meta/recipes-support/libproxy/libproxy_0.4.7.bb
index 510c6b7..89f22b8 100644
--- a/meta/recipes-support/libproxy/libproxy_0.4.7.bb
+++ b/meta/recipes-support/libproxy/libproxy_0.4.7.bb
@@ -6,7 +6,7 @@  LICENSE = "LGPLv2.1+"
 LIC_FILES_CHKSUM = "file://COPYING;md5=7d7044444a7b1b116e8783edcdb44ff4 \
                     file://utils/proxy.c;beginline=1;endline=18;md5=55152a1006d7dafbef32baf9c30a99c0"
 
-DEPENDS = "gconf"
+DEPENDS = "gconf glib-2.0"
 
 PR = "r5"